---
title: "Reads the customer's profile."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › profile

`GET /v1/stores/{store}/profile`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`getProfile.path.store`; string, required) — A hostname of the store.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/profile' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/profile';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/profile"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads the customer's profile.

#### Example

```json
{
  "contacts": [
    {
      "kind": "string",
      "value": "string",
      "verified_at": "string"
    }
  ],
  "id": "string",
  "display_name": "string",
  "locale": "string",
  "country": "string",
  "created_at": "string"
}
```

- `contacts` (`getProfile.response.200.contacts`; array<object>, required)
  - `kind` (`getProfile.response.200.contacts.kind`; string, required)
  - `value` (`getProfile.response.200.contacts.value`; string, required)
  - `verified_at` (`getProfile.response.200.contacts.verified_at`; any of, required)
    - any of: `string`, `null`
- `id` (`getProfile.response.200.id`; string, required)
- `display_name` (`getProfile.response.200.display_name`; any of, required)
  - any of: `string`, `null`
- `locale` (`getProfile.response.200.locale`; any of, required)
  - any of: `string`, `null`
- `country` (`getProfile.response.200.country`; any of, required)
  - any of: `string`, `null`
- `created_at` (`getProfile.response.200.created_at`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getProfile.response.default.type`; string, required)
  - format `uri`
- `title` (`getProfile.response.default.title`; string, required)
- `status` (`getProfile.response.default.status`; integer, required)
- `detail` (`getProfile.response.default.detail`; string, required)
- `code` (`getProfile.response.default.code`; string, optional)
- `context` (`getProfile.response.default.context`; object, optional)
- `reached_core` (`getProfile.response.default.reached_core`; boolean, optional)
- `core_answer` (`getProfile.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/get-profile/index.md
